Subject: Re: XShm lacking in the Xext library
From: [email-masked] (Sebastien Carpe)

15 Jan 1999 06:19:34 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Gary V. Vaughan" <[email-masked]>
Cc: [email-masked]

I downloaded the X11R6.4 release, applyed the ptch from Sergey and fiddle in
the Xext directory so that it includes XShm.c and recompiled. Unfortunately, i
didn't succeed to ake dll, but since i don't really understand how it really
works, that was to be exspected... So i did a static libXext2 with XShm support
and managed to compile E successfully (still had to patch to make button work
.... for some reason, getpwd didn't extract the shell path from /etc/passwd...)
NB: i did make use of libcygipc somewhere but don't remind where...
At the moment, i managed to have gtk/glib 1.1.12 working, imlib, Eterm and
enlightenement. I'll be moving forward to meet gnome in the next few weeks)

"Gary V. Vaughan" wrote:
> 
> Sebastien Carpe wrote:
> >
> > Well, i'm trying to compile Enlightenment. Yet, it seems XShm
> > functions are not present within the libXext (from Sergey or Andy,
> > they seem to be the same anyway). Does anybody know why i can't find
> > them anywhere in the /usr/X11R6.4/lib libraries ? or if there is
> > something that prevent to have XShm implemented on Cygwin ... I'd be
> > glad to know if i stand a chance to have it run or not ...
> 
> I sent Michael Jennings a bunch of code to allow conditional compile
> time removal of the shared memory code from Imlib and enlightenment
> (waaaay) before Christmas.  I had hoped to rebuild the whole lot with
> b20 as soon as it was released, but have had scant time to do so.  I am
> still fiddling with getting GTK-1.1.12 to compile properly, but will get
> there (a b20.1 compile of enlightenment) eventually.
> 
> I think Michael checked all that stuff in, though it may have bitrotted
> since then.  Michael also has all the binaries on his website so you
> could use those for now.
> 
> The reason XShm is not implemented is because there is no unix shm API
> wrapper for win32, and XShm requires that.  There is a poor mans shm
> daemon for win32 which will manage shared memory for processes that
> speak to it, and a shm/IPC API library for you to link with:
> 
> http://www.multione.capgemini.fr/tools/pack_ipc/
> 
> Hope that helps some.
> 
> Cheers,
>         Gary V. Vaughan
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".